class ColorCode < Formula
  desc "Free advanced MasterMind clone"
  homepage "http://colorcode.laebisch.com/"
  url "http://colorcode.laebisch.com/download/ColorCode-0.8.7.tar.gz"
  sha256 "10d6bb0ab532e603c30caf7fafc5541fa1de5c31f2e154ebc6e1bed410de182a"
  license "GPL-3.0-or-later"

  livecheck do
    url "http://colorcode.laebisch.com/download"
    regex(/href=.*?ColorCode[._-]v?(\d+(?:\.\d+)+)\.t/i)
  end

  depends_on "cmake" => :build
  depends_on "qt@5"

  fails_with gcc: "5"

  def install
    system "cmake", "-S", "src", "-B", "build_cmake", *std_cmake_args
    system "cmake", "--build", "build_cmake"
    bin.install "build_cmake/colorcode"
  end

  test do
    # We cannot write a more substantial test because executing the binary
    # opens a GUI, which is not supported by Homebrew's test environment
    system "#{bin}/colorcode", "-h"
  end
end
